<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapOverlayType (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapOverlayType (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapOverlayType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapOverlay.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapOverlayType.html" target="_top">Frames</a></li>
<li><a href="MapOverlayType.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Enum MapOverlayType" class="title">Enum MapOverlayType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapOverlayType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">MapOverlayType</span>
extends java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a>&gt;</pre>
<div class="block">Represents values describing the display grouping of <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects
 when added to a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#AREA_OVERLAY">AREA_OVERLAY</a></span></code>
<div class="block">Identifies objects which add information to area features such as heat maps.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#BACKGROUND_OVERLAY">BACKGROUND_OVERLAY</a></span></code>
<div class="block">Identifies objects which are placed directly over (on top or in front
 of) <code>BACKGROUND_REPLACEMENT</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#BACKGROUND_REPLACEMENT">BACKGROUND_REPLACEMENT</a></span></code>
<div class="block">Identifies objects that replace the background, such as custom satellite
 data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#FOREGROUND_OVERLAY">FOREGROUND_OVERLAY</a></span></code>
<div class="block">Identifies objects that are to be placed on top of any other objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#POI_OVERLAY">POI_OVERLAY</a></span></code>
<div class="block">Identifies objects which augment POI information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#ROAD_OVERLAY">ROAD_OVERLAY</a></span></code>
<div class="block">Identifies objects which add some information to the road network, such as traffic or
 GPS location.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#TRANSIT_STOP_OVERLAY">TRANSIT_STOP_OVERLAY</a></span></code>
<div class="block">Identifies objects which augment Transit Stop information.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#getValue--">getValue</a></span>()</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="FOREGROUND_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FOREGROUND_OVERLAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> FOREGROUND_OVERLAY</pre>
<div class="block">Identifies objects that are to be placed on top of any other objects.
 These objects appear closer to the viewer than other objects.</div>
</li>
</ul>
<a name="POI_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>POI_OVERLAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> POI_OVERLAY</pre>
<div class="block">Identifies objects which augment POI information.</div>
<dl>
<dt><span class="simpleTagLabel">Note:</span></dt>
<dd>Custom raster tiles currently do not support <code>POI_OVERLAY</code> semantic type.</dd>
</dl>
</li>
</ul>
<a name="TRANSIT_STOP_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSIT_STOP_OVERLAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> TRANSIT_STOP_OVERLAY</pre>
<div class="block">Identifies objects which augment Transit Stop information. Transit-related objects have
 higher priority over street names and other area feature labels.</div>
<dl>
<dt><span class="simpleTagLabel">Note:</span></dt>
<dd>Custom raster tiles currently do not support <code>TRANSIT_STOP_OVERLAY</code> semantic type.</dd>
</dl>
</li>
</ul>
<a name="ROAD_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROAD_OVERLAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> ROAD_OVERLAY</pre>
<div class="block">Identifies objects which add some information to the road network, such as traffic or
 GPS location.</div>
</li>
</ul>
<a name="AREA_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AREA_OVERLAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> AREA_OVERLAY</pre>
<div class="block">Identifies objects which add information to area features such as heat maps.</div>
</li>
</ul>
<a name="BACKGROUND_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKGROUND_OVERLAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> BACKGROUND_OVERLAY</pre>
<div class="block">Identifies objects which are placed directly over (on top or in front
 of) <code>BACKGROUND_REPLACEMENT</code> objects.  Apply this type
 to custom raster tiles and other map objects that should be drawn on top
 of the (background) map, but should not hide other objects.</div>
</li>
</ul>
<a name="BACKGROUND_REPLACEMENT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BACKGROUND_REPLACEMENT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> BACKGROUND_REPLACEMENT</pre>
<div class="block">Identifies objects that replace the background, such as custom satellite
 data. Note that this semantic type does not disable rendering of the
 background.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a>[] values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (MapOverlayType c : MapOverlayType.values())
    System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a> valueOf(java.lang.String name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getValue</h4>
<pre>public int getValue()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapOverlayType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapOverlay.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapOverlayType.html" target="_top">Frames</a></li>
<li><a href="MapOverlayType.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
